REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single CoworkerLedgerEntry record by its Id.
{ "BusinessId": 123, "BusinessName": "<string>", "BusinessCurrencyCode": "<string>", "CoworkerId": 123, "CoworkerFullName": "<string>", "CoworkerInvoiceId": 123, "CoworkerInvoiceInvoiceNumber": "<string>", "CoworkerInvoiceTotalAmount": "<string>", "CoworkerInvoiceBillToName": "<string>", "CoworkerInvoicePaid": true, "CoworkerInvoicePaidOn": "<string>", "CoworkerInvoiceRefunded": true, "CoworkerInvoiceRefundedOn": "<string>", "CoworkerInvoiceDueDate": "<string>", "CoworkerInvoiceDraft": true, "CoworkerInvoiceWaitingForInvoiceNumber": true, "Description": "<string>", "Code": "<string>", "Debit": 123, "Credit": 123, "PaymentGatewayName": 123, "PaymentMethodNumber": "<string>", "TransactionDate": "<string>", "Balance": 123, "Billed": true, "TransactionDateLocal": "<string>", "ConnectedTransactionGuid": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
CoworkerLedgerEntry-Read
curl -X GET \ "https://spaces.nexudus.com/api/billing/coworkerledgerentries/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "BusinessName": null, "BusinessCurrencyCode": null, "CoworkerId": 0, "CoworkerFullName": null, "CoworkerInvoiceId": null, "CoworkerInvoiceInvoiceNumber": null, "CoworkerInvoiceTotalAmount": null, "CoworkerInvoiceBillToName": null, "CoworkerInvoicePaid": null, "CoworkerInvoicePaidOn": null, "CoworkerInvoiceRefunded": null, "CoworkerInvoiceRefundedOn": null, "CoworkerInvoiceDueDate": null, "CoworkerInvoiceDraft": null, "CoworkerInvoiceWaitingForInvoiceNumber": null, "Description": "", "Code": "", "Debit": 0, "Credit": 0, "PaymentGatewayName": 0, "PaymentMethodNumber": null, "TransactionDate": null, "Balance": 0, "Billed": false, "TransactionDateLocal": null, "ConnectedTransactionGuid": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "CoworkerLedgerEntry Example", "LocalizationDetails": null, "CustomFields": null }